# GeoGeometry

![Version](https://img.shields.io/badge/version-0.0.3-blue)
![Python Version](https://img.shields.io/badge/python-3.10-green)

**GeoGeometry** is a Python library for performing advanced geometrical operations and computations. Originally designed for tetrahedral mesh generation, it has evolved into a versatile tool for handling a wide range of geometrical objects and operations.

---

## Features
- Create and manipulate complex geometrical objects (polygons, polylines, meshes, etc.).
- Perform spatial queries and geometric computations.
- Support for exporting and importing various geometry file formats (e.g., `.obj`, `.stl`).
- Highly extensible for integration with geotechnical and engineering workflows.

---

## Installation
Install the library using pip:
```bash
pip install geogeometry